GNU bug report logs - #39577
27.0.60; [android 32 bit arm] Assertion failed during compilation

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Henrik Grimler <henrik@HIDDEN>; dated Wed, 12 Feb 2020 15:32:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Changed bug title to '27.0.60; [android 32 bit arm] Assertion failed during compilation' from '27.0.60; Assertion failed during compilation' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39577 <at> debbugs.gnu.org:


Received: (at 39577) by debbugs.gnu.org; 18 Feb 2020 15:49:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 18 10:49:52 2020
Received: from localhost ([127.0.0.1]:41162 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j458C-00039k-D1
	for submit <at> debbugs.gnu.org; Tue, 18 Feb 2020 10:49:52 -0500
Received: from h04mx16.reliablemail.org ([185.76.67.209]:36157)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <henrik@HIDDEN>) id 1j458A-00039S-2G
 for 39577 <at> debbugs.gnu.org; Tue, 18 Feb 2020 10:49:51 -0500
X-Halon-Out: 4778fd26-5266-11ea-af98-2761ad1b1be1
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=grimler.se; 
 s=default;
 h=Content-Transfer-Encoding:MIME-Version:Content-Type:References:
 In-Reply-To:Date:Cc:To:From:Subject:Message-ID:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=YfgF6H2JTOwdeS1Mu3nzwsAa9VkXRe+0F1lnbRhd+Ck=; b=NZkLvkjVyBfWG9LxKlxIVhD6PP
 QdkPEraKg8laLqs87e8LDruhWqIiy/W9uWnvm5IGJcvstbNu6S4xztuV6Kp3HAzhKGiTeiJzoE4L0
 C2eqhp5nGUt6SzFiPVMXYXg8HMSlO2tOe2+lSq6vS6bKn8Ib8UgTAmCpSGGHeaiKVqNOPW78PZEie
 VykFhwKHWwUq08H7Zp3rRkaAohAbdSTybW4p8jLScwav5mFGDzskbqaf4hkeHs8OCeEjcPkzxmZIi
 rREm+34DlIrEZT4dx7blTJlCJkzFMaLjDdS4WyUSoppuyqs6hbI2Hmg29P5UCHTYTted5yn99NcN1
 twlBNFtA==;
Message-ID: <ffde160f6f8127884871a69efc67cddc7fef47d8.camel@HIDDEN>
Subject: Re: 27.0.60; Assertion failed during compilation
From: Henrik Grimler <henrik@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Date: Tue, 18 Feb 2020 16:49:41 +0100
In-Reply-To: <3a007a4f-4d7d-2d86-e670-7bcf5e6b31dd@HIDDEN>
References: <3a007a4f-4d7d-2d86-e670-7bcf5e6b31dd@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
User-Agent: Evolution 3.34.3 
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
X-OutGoing-Spam-Status: No, score=-1.0
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - cpsrv07.misshosting.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - grimler.se
X-Get-Message-Sender-Via: cpsrv07.misshosting.com: authenticated_id:
 henrik@HIDDEN
X-Authenticated-Sender: cpsrv07.misshosting.com: henrik@HIDDEN
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39577
Cc: 39577 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, 2020-02-17 at 12:53 -0800, Paul Eggert wrote:
> I installed the attached patch into master, to work around the 
> getloadavg-related assertion failure. However, I don't think this
> fixes the 
> actual bug.

Thanks, will try a new build tonight.

> > This android version does not have getloadavg (so I guess
> > lib/getloadavg.c is used instead?)
> 
> If so, you should be able to step through the replacement getloadavg
> and see why 
> it's reporting bogus values. I have the sneaking suspicion that
> floating point 
> isn't working properly, and that it's treating tiny numbers as NaNs
> or vice 
> versa. But this bug is relatively unimportant.

Yeah, I will investigate it more when I have some time and report back
here. 

> The main problem here seems to be the sigsetjmp-related bug. You
> might try 
> putting a breakpoint on handle_sigsegv before running Emacs; that
> might give you 
> a better backtrace.

After Eli suggested that the problem is indeed in the sigsetjmp
function I configured emacs with 

```
emacs_cv_func__setjmp=no 
emacs_cv_func_sigsetjmp=no
```

and it seems to have helped (5 days without segfaults now). Setting
only one of the two does not help. This seems like an acceptable
workaround in my case, but maybe it causes some other side effects I am
yet to encounter(?).

Thanks for the hint about breakpoint on handle_sigsegv, I will see if I
can learn more about what is actaully happening.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39577; Package emacs. Full text available.

Message received at 39577 <at> debbugs.gnu.org:


Received: (at 39577) by debbugs.gnu.org; 17 Feb 2020 20:53:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 17 15:53:18 2020
Received: from localhost ([127.0.0.1]:39291 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j3nOH-0004dZ-QS
	for submit <at> debbugs.gnu.org; Mon, 17 Feb 2020 15:53:18 -0500
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:38598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1j3nOF-0004dL-4G
 for 39577 <at> debbugs.gnu.org; Mon, 17 Feb 2020 15:53:16 -0500
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 6A3E416008A;
 Mon, 17 Feb 2020 12:53:09 -0800 (PST)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id HFnjZolhlO7e; Mon, 17 Feb 2020 12:53:08 -0800 (PST)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 9E07516008E;
 Mon, 17 Feb 2020 12:53:08 -0800 (PST)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id TFvCJbHL9yj1; Mon, 17 Feb 2020 12:53:08 -0800 (PST)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 6F30A16008A;
 Mon, 17 Feb 2020 12:53:08 -0800 (PST)
To: Henrik Grimler <henrik@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Subject: Re: 27.0.60; Assertion failed during compilation
Organization: UCLA Computer Science Department
Message-ID: <3a007a4f-4d7d-2d86-e670-7bcf5e6b31dd@HIDDEN>
Date: Mon, 17 Feb 2020 12:53:05 -0800
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------6815072D71EE80E54399FBAD"
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39577
Cc: 39577 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

This is a multi-part message in MIME format.
--------------6815072D71EE80E54399FBAD
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

I installed the attached patch into master, to work around the 
getloadavg-related assertion failure. However, I don't think this fixes the 
actual bug.

> This android version does not have getloadavg (so I guess
> lib/getloadavg.c is used instead?)

If so, you should be able to step through the replacement getloadavg and see why 
it's reporting bogus values. I have the sneaking suspicion that floating point 
isn't working properly, and that it's treating tiny numbers as NaNs or vice 
versa. But this bug is relatively unimportant.

The main problem here seems to be the sigsetjmp-related bug. You might try 
putting a breakpoint on handle_sigsegv before running Emacs; that might give you 
a better backtrace.

--------------6815072D71EE80E54399FBAD
Content-Type: text/x-patch; charset=UTF-8;
 name="0001-Avoid-unlikely-load-average-bug.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-Avoid-unlikely-load-average-bug.patch"

From 121f9bb14ab0abe618cabd24bd25ed328e36891c Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@HIDDEN>
Date: Mon, 17 Feb 2020 12:44:10 -0800
Subject: [PATCH] Avoid unlikely load-average bug

* src/fns.c (Fload_average): Do not crash or return nonsense
if the load average exceeds most-positive-fixnum/100 (Bug#39577).
---
 src/fns.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/fns.c b/src/fns.c
index 436ef1c7b7..80012fa9d2 100644
--- a/src/fns.c
+++ b/src/fns.c
@@ -2843,7 +2843,7 @@ advisable.  */)
   while (loads-- > 0)
     {
       Lisp_Object load = (NILP (use_floats)
-			  ? make_fixnum (100.0 * load_ave[loads])
+			  ? double_to_integer (100.0 * load_ave[loads])
 			  : make_float (load_ave[loads]));
       ret = Fcons (load, ret);
     }
-- 
2.17.1


--------------6815072D71EE80E54399FBAD--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39577; Package emacs. Full text available.

Message received at 39577 <at> debbugs.gnu.org:


Received: (at 39577) by debbugs.gnu.org; 13 Feb 2020 20:07:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 13 15:07:44 2020
Received: from localhost ([127.0.0.1]:60509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j2Km0-0008TG-71
	for submit <at> debbugs.gnu.org; Thu, 13 Feb 2020 15:07:44 -0500
Received: from smtp-4.sys.kth.se ([130.237.48.193]:43032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hgrimler@HIDDEN>) id 1j2Kis-0008OV-EP
 for 39577 <at> debbugs.gnu.org; Thu, 13 Feb 2020 15:04:31 -0500
Received: from smtp-4.sys.kth.se (localhost.localdomain [127.0.0.1])
 by smtp-4.sys.kth.se (Postfix) with ESMTP id AC6342B84;
 Thu, 13 Feb 2020 21:04:28 +0100 (CET)
X-Virus-Scanned: by amavisd-new at kth.se
Received: from smtp-4.sys.kth.se ([127.0.0.1])
 by smtp-4.sys.kth.se (smtp-4.sys.kth.se [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id EGCU5b96WszF; Thu, 13 Feb 2020 21:04:28 +0100 (CET)
X-KTH-Auth: hgrimler [84.55.98.148]
X-KTH-mail-from: hgrimler@HIDDEN
Received: from localhost (84-55-98-148.customers.ownit.se [84.55.98.148])
 by smtp-4.sys.kth.se (Postfix) with ESMTPSA id 95D982A22;
 Thu, 13 Feb 2020 21:04:27 +0100 (CET)
Date: Thu, 13 Feb 2020 21:04:30 +0100
From: Henrik Grimler <henrik@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39577: 27.0.60; Assertion failed during compilation
Message-ID: <20200213200430.GA18685@localhost>
References: <20200212073922.GA2812@localhost> <83eeuyr0vd.fsf@HIDDEN>
 <20200213190016.GA11739@localhost> <835zgaqojp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <835zgaqojp.fsf@HIDDEN>
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 39577
X-Mailman-Approved-At: Thu, 13 Feb 2020 15:07:43 -0500
Cc: 39577 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.1 (---)

> > > Can you show a backtrace from the segfault?
> > 
> > After loading gdbinit from emacs src, starting emacs and scrolling up
> > and down a file a couple of times it crashes with:
> > 
> > ```
> > Program received signal SIGSEGV, Segmentation fault.
> > 0xb6995228 in sigsetjmp () from /system/lib/libc.so
> > ```
> > 
> > A backtrace then unfortunately only shows:
> > 
> > ```
> > #0  0xb6995228 in sigsetjmp () from /system/lib/libc.so
> > #1  0x62e31f80 in ?? ()
> > Backtrace stopped: previous frame identical to this frame (corrupt stack?)
> 
> Sounds like sigsetjmp is buggy on that platform?

Could be? I have not seen any bug reports or similar issues for other
programs that seem related though, but android arm is fairly
rare these days. I am dreaming of finding a workaround on the emacs
side of things as I can not modify the system libraries (well not
easily anyways). I suppose I need to learn more about sigsetjmp and
friends to have a chance at that.

> > It also seems that the segfault does not happen if running inside
> > tmux.
> 
> Does "inside tmux" mean you run a -nw session?

Yes, sorry for not being clear. I am running inside a terminal
emulator for android called termux, all programs are linked against
android's libc, bionic. Compilers and other tools needed for compiling
emacs are available, but there is no x11 so emacs can only be run in -nw
mode.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39577; Package emacs. Full text available.

Message received at 39577 <at> debbugs.gnu.org:


Received: (at 39577) by debbugs.gnu.org; 13 Feb 2020 19:23:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 13 14:23:44 2020
Received: from localhost ([127.0.0.1]:60480 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j2K5Q-0007QG-8g
	for submit <at> debbugs.gnu.org; Thu, 13 Feb 2020 14:23:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j2K5P-0007Q2-0H
 for 39577 <at> debbugs.gnu.org; Thu, 13 Feb 2020 14:23:43 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34505)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j2K5I-0001V2-QV; Thu, 13 Feb 2020 14:23:36 -0500
Received: from [176.228.60.248] (port=4508 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j2K5I-0001DC-2A; Thu, 13 Feb 2020 14:23:36 -0500
Date: Thu, 13 Feb 2020 21:23:38 +0200
Message-Id: <835zgaqojp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Henrik Grimler <hgrimler@HIDDEN>
In-reply-to: <20200213190016.GA11739@localhost> (message from Henrik Grimler
 on Thu, 13 Feb 2020 20:00:16 +0100)
Subject: Re: bug#39577: 27.0.60; Assertion failed during compilation
References: <20200212073922.GA2812@localhost>
 <83eeuyr0vd.fsf@HIDDEN> <20200213190016.GA11739@localhost>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39577
Cc: 39577 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Thu, 13 Feb 2020 20:00:16 +0100
> From: Henrik Grimler <hgrimler@HIDDEN>
> Cc: 39577 <at> debbugs.gnu.org
> 
> > > ../../src/fns.c:2856: Emacs fatal error: assertion failed: !FIXNUM_OVERFLOW_P (lisp_h_make_fixnum_n)
> > 
> > This would mean that the values returned by getloadavg on that system
> > are preposterously large.  Can you run the offending command under a
> > debugger, put a breakpoint on line 2856 of fns.c, and see what values
> > you get in the load_ave[] array?
>  
> It seems to be preposterously small:
> 
> ```
> Breakpoint 2, Fload_average (use_floats=XIL(0)) at ../../src/fns.c:2856
> 2856                              ? make_fixnum (100.0 * load_ave[loads])
> (gdb) print load_ave
> $1 = {2.8900000000000001, 2.8752811112650786e-312, 2.7799999999999998}
> ```
> 
> This android version does not have getloadavg (so I guess
> lib/getloadavg.c is used instead?)

Looks like a bug in getloadavg, but you should be fine replacing that
small value with zero.

> > Can you show a backtrace from the segfault?
> 
> After loading gdbinit from emacs src, starting emacs and scrolling up
> and down a file a couple of times it crashes with:
> 
> ```
> Program received signal SIGSEGV, Segmentation fault.
> 0xb6995228 in sigsetjmp () from /system/lib/libc.so
> ```
> 
> A backtrace then unfortunately only shows:
> 
> ```
> #0  0xb6995228 in sigsetjmp () from /system/lib/libc.so
> #1  0x62e31f80 in ?? ()
> Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Sounds like sigsetjmp is buggy on that platform?

> It also seems that the segfault does not happen if running inside
> tmux.

Does "inside tmux" mean you run a -nw session?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39577; Package emacs. Full text available.

Message received at 39577 <at> debbugs.gnu.org:


Received: (at 39577) by debbugs.gnu.org; 13 Feb 2020 19:11:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 13 14:11:57 2020
Received: from localhost ([127.0.0.1]:60453 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j2Ju0-00076z-DV
	for submit <at> debbugs.gnu.org; Thu, 13 Feb 2020 14:11:57 -0500
Received: from smtp-4.sys.kth.se ([130.237.48.193]:47344)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hgrimler@HIDDEN>) id 1j2Jih-0006qf-Q2
 for 39577 <at> debbugs.gnu.org; Thu, 13 Feb 2020 14:00:17 -0500
Received: from smtp-4.sys.kth.se (localhost.localdomain [127.0.0.1])
 by smtp-4.sys.kth.se (Postfix) with ESMTP id 19C0F2B44;
 Thu, 13 Feb 2020 20:00:14 +0100 (CET)
X-Virus-Scanned: by amavisd-new at kth.se
Received: from smtp-4.sys.kth.se ([127.0.0.1])
 by smtp-4.sys.kth.se (smtp-4.sys.kth.se [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id Nx9l-ht18JD5; Thu, 13 Feb 2020 20:00:13 +0100 (CET)
X-KTH-Auth: hgrimler [84.55.98.148]
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kth.se; s=default;
 t=1581620413; bh=smCliYTYNDDUXgXsrYLmQqAWbYPjc4lhwKPmDDZS8HQ=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=CLjJrNSJhnV44jNfGkbZ9d7VexczO4oLahw914lvZS7QU7I/mNU18zDY4CP8QgG66
 F19hDmRtdznrDW2aMGF7RZhx0aOZeuwT8kvyGbVzuWcAK2PxyRSTRtJezu68XhPSRW
 3PAHIztlht4EuNMNvGkYGafcyovWhD6qQNU/TGr0=
X-KTH-mail-from: hgrimler@HIDDEN
Received: from localhost (84-55-98-148.customers.ownit.se [84.55.98.148])
 by smtp-4.sys.kth.se (Postfix) with ESMTPSA id CDD312A22;
 Thu, 13 Feb 2020 20:00:12 +0100 (CET)
Date: Thu, 13 Feb 2020 20:00:16 +0100
From: Henrik Grimler <hgrimler@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39577: 27.0.60; Assertion failed during compilation
Message-ID: <20200213190016.GA11739@localhost>
References: <20200212073922.GA2812@localhost>
 <83eeuyr0vd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83eeuyr0vd.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39577
X-Mailman-Approved-At: Thu, 13 Feb 2020 14:11:54 -0500
Cc: 39577 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Eli,

On Thu, Feb 13, 2020 at 04:57:26PM +0200, Eli Zaretskii wrote:
> > Date: Wed, 12 Feb 2020 08:39:58 +0100
> > From: Henrik Grimler <henrik@HIDDEN>
> > 
> > ../configure --enable-checking=yes,glyphs \
> > --enable-check-lisp-object-type \
> > --without-makeinfo \
> > --without-selinux \
> > --prefix /data/data/com.termux/files/usr/local \
> > CFLAGS="-O0 -g3 -gdwarf-4"
> > ```
> > 
> > but building the emacs-27 branch (commit 06c302d) this fails with:
> > 
> > ```
> > [...]
> > Loading /data/data/com.termux/files/home/projects/emacs/lisp/emacs-lisp/syntax.el (source)...
> > Loading /data/data/com.termux/files/home/projects/emacs/lisp/font-lock.el (source)...
> > Loading /data/data/com.termux/files/home/projects/emacs/lisp/jit-lock.el (source)...
> > 
> > ../../src/fns.c:2856: Emacs fatal error: assertion failed: !FIXNUM_OVERFLOW_P (lisp_h_make_fixnum_n)
> 
> This would mean that the values returned by getloadavg on that system
> are preposterously large.  Can you run the offending command under a
> debugger, put a breakpoint on line 2856 of fns.c, and see what values
> you get in the load_ave[] array?
 
It seems to be preposterously small:

```
Breakpoint 2, Fload_average (use_floats=XIL(0)) at ../../src/fns.c:2856
2856                              ? make_fixnum (100.0 * load_ave[loads])
(gdb) print load_ave
$1 = {2.8900000000000001, 2.8752811112650786e-312, 2.7799999999999998}
```

This android version does not have getloadavg (so I guess
lib/getloadavg.c is used instead?)
 
> > If I remove --enable-checking=yes,glyphs it builds (I am sending this
> > bug report from that build) but gets segmentation faults every now and
> > then. Easiest way to trigger it is to scroll up and down in some file,
> > but it still happens randomly, maybe after 200 lines, maybe after 10
> > 000.
> 
> Can you show a backtrace from the segfault?

After loading gdbinit from emacs src, starting emacs and scrolling up
and down a file a couple of times it crashes with:

```
Program received signal SIGSEGV, Segmentation fault.
0xb6995228 in sigsetjmp () from /system/lib/libc.so
```

A backtrace then unfortunately only shows:

```
#0  0xb6995228 in sigsetjmp () from /system/lib/libc.so
#1  0x62e31f80 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Program received signal SIGSEGV, Segmentation fault.
backtrace_top () at ../../src/eval.c:176
176     {
The program being debugged was signaled while in a function called from GDB.
GDB remains in the frame where the signal was received.
To change this behavior use "set unwindonsignal on".
Evaluation of the expression containing the function
(backtrace_top) will be abandoned.
When the function is done executing, GDB will silently stop.
```

I am fairly in-experienced with gdb, so please let me know if there is
anything else I can try.

It also seems that the segfault does not happen if running inside
tmux.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39577; Package emacs. Full text available.

Message received at 39577 <at> debbugs.gnu.org:


Received: (at 39577) by debbugs.gnu.org; 13 Feb 2020 14:57:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 13 09:57:35 2020
Received: from localhost ([127.0.0.1]:60321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j2Fvq-0007Nw-T6
	for submit <at> debbugs.gnu.org; Thu, 13 Feb 2020 09:57:35 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47836)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j2Fvp-0007Nj-8h
 for 39577 <at> debbugs.gnu.org; Thu, 13 Feb 2020 09:57:33 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56178)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j2Fvj-0007nB-BT; Thu, 13 Feb 2020 09:57:27 -0500
Received: from [176.228.60.248] (port=4039 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j2Fvg-0006Pg-KT; Thu, 13 Feb 2020 09:57:25 -0500
Date: Thu, 13 Feb 2020 16:57:26 +0200
Message-Id: <83eeuyr0vd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Henrik Grimler <henrik@HIDDEN>
In-reply-to: <20200212073922.GA2812@localhost> (message from Henrik Grimler on
 Wed, 12 Feb 2020 08:39:58 +0100)
Subject: Re: bug#39577: 27.0.60; Assertion failed during compilation
References: <20200212073922.GA2812@localhost>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39577
Cc: 39577 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Wed, 12 Feb 2020 08:39:58 +0100
> From: Henrik Grimler <henrik@HIDDEN>
> 
> ../configure --enable-checking=yes,glyphs \
> --enable-check-lisp-object-type \
> --without-makeinfo \
> --without-selinux \
> --prefix /data/data/com.termux/files/usr/local \
> CFLAGS="-O0 -g3 -gdwarf-4"
> ```
> 
> but building the emacs-27 branch (commit 06c302d) this fails with:
> 
> ```
> [...]
> Loading /data/data/com.termux/files/home/projects/emacs/lisp/emacs-lisp/syntax.el (source)...
> Loading /data/data/com.termux/files/home/projects/emacs/lisp/font-lock.el (source)...
> Loading /data/data/com.termux/files/home/projects/emacs/lisp/jit-lock.el (source)...
> 
> ../../src/fns.c:2856: Emacs fatal error: assertion failed: !FIXNUM_OVERFLOW_P (lisp_h_make_fixnum_n)

This would mean that the values returned by getloadavg on that system
are preposterously large.  Can you run the offending command under a
debugger, put a breakpoint on line 2856 of fns.c, and see what values
you get in the load_ave[] array?

> This (as well as the segfault) happens both if compiling with clang 9.0.1 and gcc 9.2.0.
> I get a warning earlier multiple times that might be related:
> 
> ```
> [...]
>   CC       dispnew.o
> In file included from ../../src/dispnew.c:29:
> In file included from ../../src/termchar.h:23:
> ../../src/dispextern.h:1917:36: warning: signed shift result (0x3FFFFC00000) requires 43 bits to represent, but 'EMACS_INT' (aka 'int') only has 32 bits [-Wshift-overflow]
>                ? ((EMACS_INT) MAX_FACE_ID << CHARACTERBITS) | MAX_CHAR
>                   ~~~~~~~~~~~~~~~~~~~~~~~ ^  ~~~~~~~~~~~~~
> 1 warning generated.

I think this warning is bogus, since if your EMACS_INT is not wide
enough to hold MAX_FACE_ID shifted left by 8 bits, the code will not
do that.

> If I remove --enable-checking=yes,glyphs it builds (I am sending this
> bug report from that build) but gets segmentation faults every now and
> then. Easiest way to trigger it is to scroll up and down in some file,
> but it still happens randomly, maybe after 200 lines, maybe after 10
> 000.

Can you show a backtrace from the segfault?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39577; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Feb 2020 15:31:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 12 10:31:57 2020
Received: from localhost ([127.0.0.1]:58949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j1tzY-0003ER-IV
	for submit <at> debbugs.gnu.org; Wed, 12 Feb 2020 10:31:57 -0500
Received: from lists.gnu.org ([209.51.188.17]:44200)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hgrimler@HIDDEN>) id 1j1mcw-0006k4-Ba
 for submit <at> debbugs.gnu.org; Wed, 12 Feb 2020 02:40:06 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:57818)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <hgrimler@HIDDEN>) id 1j1mcu-0002ug-O4
 for bug-gnu-emacs@HIDDEN; Wed, 12 Feb 2020 02:40:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hgrimler@HIDDEN>) id 1j1mcs-0008FJ-Oi
 for bug-gnu-emacs@HIDDEN; Wed, 12 Feb 2020 02:40:04 -0500
Received: from smtp-4.sys.kth.se ([2001:6b0:1:1300:250:56ff:fea6:2de3]:44462)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <hgrimler@HIDDEN>) id 1j1mcs-0008By-Dq
 for bug-gnu-emacs@HIDDEN; Wed, 12 Feb 2020 02:40:02 -0500
Received: from smtp-4.sys.kth.se (localhost.localdomain [127.0.0.1])
 by smtp-4.sys.kth.se (Postfix) with ESMTP id 4519A2742
 for <bug-gnu-emacs@HIDDEN>; Wed, 12 Feb 2020 08:39:57 +0100 (CET)
X-Virus-Scanned: by amavisd-new at kth.se
Received: from smtp-4.sys.kth.se ([127.0.0.1])
 by smtp-4.sys.kth.se (smtp-4.sys.kth.se [127.0.0.1]) (amavisd-new, port 10024)
 with LMTP id 9J38DqBKH8fW for <bug-gnu-emacs@HIDDEN>;
 Wed, 12 Feb 2020 08:39:56 +0100 (CET)
X-KTH-Auth: hgrimler [84.55.98.148]
X-KTH-mail-from: hgrimler@HIDDEN
X-KTH-rcpt-to: bug-gnu-emacs@HIDDEN
Received: from localhost (84-55-98-148.customers.ownit.se [84.55.98.148])
 by smtp-4.sys.kth.se (Postfix) with ESMTPSA id 7C17E29D0
 for <bug-gnu-emacs@HIDDEN>; Wed, 12 Feb 2020 08:39:55 +0100 (CET)
Date: Wed, 12 Feb 2020 08:39:58 +0100
From: Henrik Grimler <henrik@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.60; Assertion failed during compilation
Message-ID: <20200212073922.GA2812@localhost>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-Received-From: 2001:6b0:1:1300:250:56ff:fea6:2de3
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 12 Feb 2020 10:31:55 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Hi,

I am trying to debug a segmentation fault happening on android 32bit
arm. To do that I tried recompiling my emacs with


```
../configure --enable-checking=yes,glyphs \
--enable-check-lisp-object-type \
--without-makeinfo \
--without-selinux \
--prefix /data/data/com.termux/files/usr/local \
CFLAGS="-O0 -g3 -gdwarf-4"
```

but building the emacs-27 branch (commit 06c302d) this fails with:

```
[...]
Loading /data/data/com.termux/files/home/projects/emacs/lisp/emacs-lisp/syntax.el (source)...
Loading /data/data/com.termux/files/home/projects/emacs/lisp/font-lock.el (source)...
Loading /data/data/com.termux/files/home/projects/emacs/lisp/jit-lock.el (source)...

../../src/fns.c:2856: Emacs fatal error: assertion failed: !FIXNUM_OVERFLOW_P (lisp_h_make_fixnum_n)
Fatal error 6: n
make[1]: *** [Makefile:817: bootstrap-emacs.pdmp] Aborted
make[1]: Leaving directory '/data/data/com.termux/files/home/projects/emacs/build/src'
make: *** [Makefile:424: src] Error 2
```

This (as well as the segfault) happens both if compiling with clang 9.0.1 and gcc 9.2.0.
I get a warning earlier multiple times that might be related:

```
[...]
  CC       dispnew.o
In file included from ../../src/dispnew.c:29:
In file included from ../../src/termchar.h:23:
../../src/dispextern.h:1917:36: warning: signed shift result (0x3FFFFC00000) requires 43 bits to represent, but 'EMACS_INT' (aka 'int') only has 32 bits [-Wshift-overflow]
               ? ((EMACS_INT) MAX_FACE_ID << CHARACTERBITS) | MAX_CHAR
                  ~~~~~~~~~~~~~~~~~~~~~~~ ^  ~~~~~~~~~~~~~
1 warning generated.
[...]
```

I have uploaded the full config.log and make output here:
https://grimler.se/emacs/config.log
https://grimler.se/emacs/make.log

If I remove --enable-checking=yes,glyphs it builds (I am sending this
bug report from that build) but gets segmentation faults every now and
then. Easiest way to trigger it is to scroll up and down in some file,
but it still happens randomly, maybe after 200 lines, maybe after 10
000.

Does anyone have any suggestions for how I can proceed debugging this?

Best regards,
Henrik Grimler

In GNU Emacs 27.0.60 (build 1, armv7l-unknown-linux-gnueabi)
 of 2020-02-10 built on localhost
Repository revision: 06c302d425fc2093130479b8aed7da4507d43331
Repository branch: emacs-27
Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --enable-check-lisp-object-type --without-makeinfo
 --without-selinux --prefix /data/data/com.termux/files/usr/local/
 'CFLAGS=-O0 -g3 -gdwarf-4''

Configured features:
NOTIFY INOTIFY ACL GNUTLS LIBXML2 ZLIB MODULES THREADS PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow regexp-opt sort mail-extr emacsbug message rmc puny dired
dired-loaddefs format-spec rfc822 mml mml-sec epa derived epg epg-config
gnus-util rmail rmail-loaddefs text-property-search time-date mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils image
term/xterm xterm edmacro kmacro tsdh-dark-theme paren finder-inf info
tool-bar package easymenu browse-url url-handlers url-parse auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache json
subr-x map url-vars seq byte-opt gv bytecomp byte-compile cconv
cl-loaddefs cl-lib tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads inotify lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 8 77236 5768)
 (symbols 24 9059 1)
 (strings 16 27039 2319)
 (string-bytes 1 881148)
 (vectors 8 12044)
 (vector-slots 4 135461 6406)
 (floats 8 46 544)
 (intervals 28 170 0)
 (buffers 576 12))




Acknowledgement sent to Henrik Grimler <henrik@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39577; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 21 Feb 2020 17:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.